#!/bin/sh
set -eux

PACKAGE="$(basename "$PWD")"
__ENABLE_CI__ LOGS_DIR="/data/ci/$PACKAGE/logs"
REMOTE_GIT_DIR="/data/git/$PACKAGE.git"

DESCRIPTION="$(mktemp)"
if [ -f description ]
then
  cp description "$DESCRIPTION"
else
  git config euandreh.description > "$DESCRIPTION"
fi

scp "$DESCRIPTION" "git.euandreh.xyz:$REMOTE_GIT_DIR/description"
__ENABLE_CI__ ssh git.euandreh.xyz mkdir -p "$LOGS_DIR"
__ENABLE_CI__ scp aux/ci/ci-build.sh         "git.euandreh.xyz:$(dirname "$LOGS_DIR")/ci-build.sh"
__ENABLE_CI__ scp aux/ci/git-post-receive.sh "git.euandreh.xyz:$REMOTE_GIT_DIR/hooks/post-receive"
